package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.entity.MarkAiQuestionScore;
import com.qmth.teachcloud.mark.mapper.MarkAiQuestionScoreMapper;
import com.qmth.teachcloud.mark.service.MarkAiQuestionScoreService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * AI评卷得分明细表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2025-04-10
 */
@Service
public class MarkAiQuestionScoreServiceImpl extends ServiceImpl<MarkAiQuestionScoreMapper, MarkAiQuestionScore> implements MarkAiQuestionScoreService {

    @Override
    public List<MarkAiQuestionScore> listByAiQuestionId(Long id) {
        QueryWrapper<MarkAiQuestionScore> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(MarkAiQuestionScore::getAiQuestionId, id);
        return this.list(queryWrapper);
    }
}
